Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow
Class DefaultGraphicsConfiguration

    java.lang.Object
      javax.media.nativewindow.DefaultGraphicsConfiguration

All Implemented Interfaces:
  Cloneable, AbstractGraphicsConfiguration

Direct Known Subclasses:
  AWTGraphicsConfiguration, X11GraphicsConfiguration

    public class DefaultGraphicsConfiguration

extends Object
implements Cloneable, AbstractGraphicsConfiguration

Field Summary
`protected Capabilities` | `capabilitiesChosen`
`protected Capabilities` | `capabilitiesRequested`

Constructor Summary
`DefaultGraphicsConfiguration(AbstractGraphicsScreen screen, Capabilities capsChosen, Capabilities capsRequested)`

Method Summary
`Object` | `clone()`
`Capabilities` | `getChosenCapabilities()` Return the capabilities reflecting this graphics configuration, which may differ from the capabilites used to choose this configuration.
`AbstractGraphicsConfiguration` | `getNativeGraphicsConfiguration()` In case this instance already reflects a native configuration, return this one.
`Capabilities` | `getRequestedCapabilities()` Return the capabilities used to choose this graphics configuration.
`AbstractGraphicsScreen` | `getScreen()` Return the screen this graphics configuration is valid for
`protected void` | `setChosenCapabilities(Capabilities capsChosen)` Set the capabilities to a new value.
`protected void` | `setScreen(DefaultGraphicsScreen screen)` Set a new screen.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### capabilitiesChosen

    protected Capabilities capabilitiesChosen

### capabilitiesRequested

    protected Capabilities capabilitiesRequested

Constructor Detail

### DefaultGraphicsConfiguration

    public DefaultGraphicsConfiguration(AbstractGraphicsScreen screen,
                                        Capabilities capsChosen,
                                        Capabilities capsRequested)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getScreen

    public AbstractGraphicsScreen getScreen()

  Description copied from interface: `AbstractGraphicsConfiguration`
  Return the screen this graphics configuration is valid for

  Specified by:
    `getScreen` in interface `AbstractGraphicsConfiguration`

### getChosenCapabilities

    public Capabilities getChosenCapabilities()

  Description copied from interface: `AbstractGraphicsConfiguration`
  Return the capabilities reflecting this graphics configuration, which may differ from the capabilites used to choose this configuration.

  Specified by:
    `getChosenCapabilities` in interface `AbstractGraphicsConfiguration`
  Returns:
    A copy of the Capabilities to avoid mutation by the user.

### getRequestedCapabilities

    public Capabilities getRequestedCapabilities()

  Description copied from interface: `AbstractGraphicsConfiguration`
  Return the capabilities used to choose this graphics configuration. These may be used to reconfigure the NativeWindow in case the device changes in a multi screen environment.

  Specified by:
    `getRequestedCapabilities` in interface `AbstractGraphicsConfiguration`
  Returns:
    A copy of the Capabilities to avoid mutation by the user.

### getNativeGraphicsConfiguration

    public AbstractGraphicsConfiguration getNativeGraphicsConfiguration()

  Description copied from interface: `AbstractGraphicsConfiguration`
  In case this instance already reflects a native configuration, return this one. Otherwise return the encapsuled native configuration, as it shall be included e.g. in the AWT case.

  Specified by:
    `getNativeGraphicsConfiguration` in interface `AbstractGraphicsConfiguration`

### setChosenCapabilities

    protected void setChosenCapabilities(Capabilities capsChosen)

  Set the capabilities to a new value. The use case for setting the Capabilities at a later time is a change of the graphics device in a multi-screen environment.
  A copy of the passed object is being used.

  See Also:
    `GraphicsConfigurationFactory.chooseGraphicsConfiguration(Capabilities, CapabilitiesChooser, AbstractGraphicsScreen)`

### setScreen

    protected void setScreen(DefaultGraphicsScreen screen)

  Set a new screen. the use case for setting a new screen at a later time is a change of the graphics device in a multi-screen environment.
  A copy of the passed object is being used.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.